org.keycloak.authentication

## Interface ClientAuthenticationFlowContext

- All Superinterfaces:
    AbstractAuthenticationFlowContext
  All Known Implementing Classes:
    AuthenticationProcessor.Result

      public interface ClientAuthenticationFlowContext
      extends AbstractAuthenticationFlowContext

  Encapsulates information about the execution in ClientAuthenticationFlow
  Author:
    Marek Posolda

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientModel` | `getClient()` Current client attached to this flow.
    `Map<String,String>` | `getClientAuthAttributes()` Return the map where the authenticators can put some additional state related to authenticated client and the context how was client authenticated (ie.
    `void` | `setClient(ClientModel client)` Attach a specific client to this flow.

    - ### Methods inherited from interface org.keycloak.authentication.AbstractAuthenticationFlowContext

      `attempted, challenge, failure, failure, failureChallenge, forceChallenge, generateAccessCode, getAuthenticatorConfig, getCategoryRequirementFromCurrentFlow, getConnection, getError, getEvent, getExecution, getForwardedErrorMessage, getForwardedSuccessMessage, getHttpRequest, getProtector, getRealm, getSession, getStatus, getUriInfo, newEvent, success`

- - ### Method Detail

    - #### getClient

          ClientModel getClient()

      Current client attached to this flow. It can return null if no client has been identified yet
      Returns:

    - #### setClient

          void setClient(ClientModel client)

      Attach a specific client to this flow.
      Parameters:
        `client` -

    - #### getClientAuthAttributes

          Map<String,String> getClientAuthAttributes()

      Return the map where the authenticators can put some additional state related to authenticated client and the context how was client authenticated (ie. attributes from client certificate etc). Map is writable, so you can add/remove items from it as needed. After successful authentication will be those state data put into UserSession notes. This allows you to configure UserSessionNote protocol mapper for your client, which will allow to map those state data into the access token available in the application
      Returns:

Copyright © 2020 JBoss by Red Hat. All rights reserved.